%global         srcname     azure-keyvault

Name:           python-%{srcname}
Version:        1.1.0
Release:    1%{?dist}
Summary:        Microsoft Azure Key Vault Client Libraries for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}
Patch0:         python-azure-keyvault-remove-nspkg.patch


BuildArch:      noarch

BuildRequires:  python3-devel


%global _description %{expand:
Microsoft Azure Key Vault Client Libraries for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}

rm -fv azure_bdist_wheel.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}


%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%{python3_sitelib}/azure/keyvault
%{python3_sitelib}/azure_keyvault-%{version}.dist-info


%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-1
- initial build
